libaaruformat 1.0 Aaru Data Preservation Suite - Format Library

Loading...
Searching...
No Matches
sha1_ctx Struct Reference

`#include <sha1.h>`

## Data Fields
uint32_t | state [5]
uint64_t | count
uint8_t | buffer [64]

## Detailed Description

Definition at line 42 of file sha1.h.

## Field Documentation

## ◆ buffer

uint8_t sha1_ctx::buffer[64]

Definition at line 46 of file sha1.h.

Referenced by aaruf_sha1_final(), aaruf_sha1_init(), and aaruf_sha1_update().

## ◆ count

uint64_t sha1_ctx::count

Definition at line 45 of file sha1.h.

Referenced by aaruf_sha1_final(), aaruf_sha1_init(), and aaruf_sha1_update().

## ◆ state

uint32_t sha1_ctx::state[5]

Definition at line 44 of file sha1.h.

Referenced by aaruf_sha1_final(), aaruf_sha1_init(), and aaruf_sha1_update().

The documentation for this struct was generated from the following file:

- include/sha1.h